# CheckDocumentModelRootType enum

Inheritance
  - Object
  - Enum
  - CheckDocumentModelRootType
Available extensions
  - EnumName

## Values

USACheckType → const CheckDocumentModelRootType
  `const CheckDocumentModelRootType(USACheck.DOCUMENT_TYPE, USACheck.DOCUMENT_TYPE, USACheck.DOCUMENT_NORMALIZED_TYPE)`
UAECheckType → const CheckDocumentModelRootType
  `const CheckDocumentModelRootType(UAECheck.DOCUMENT_TYPE, UAECheck.DOCUMENT_TYPE, UAECheck.DOCUMENT_NORMALIZED_TYPE)`
FRACheckType → const CheckDocumentModelRootType
  `const CheckDocumentModelRootType(FRACheck.DOCUMENT_TYPE, FRACheck.DOCUMENT_TYPE, FRACheck.DOCUMENT_NORMALIZED_TYPE)`
ISRCheckType → const CheckDocumentModelRootType
  `const CheckDocumentModelRootType(ISRCheck.DOCUMENT_TYPE, ISRCheck.DOCUMENT_TYPE, ISRCheck.DOCUMENT_NORMALIZED_TYPE)`
KWTCheckType → const CheckDocumentModelRootType
  `const CheckDocumentModelRootType(KWTCheck.DOCUMENT_TYPE, KWTCheck.DOCUMENT_TYPE, KWTCheck.DOCUMENT_NORMALIZED_TYPE)`
AUSCheckType → const CheckDocumentModelRootType
  `const CheckDocumentModelRootType(AUSCheck.DOCUMENT_TYPE, AUSCheck.DOCUMENT_TYPE, AUSCheck.DOCUMENT_NORMALIZED_TYPE)`
INDCheckType → const CheckDocumentModelRootType
  `const CheckDocumentModelRootType(INDCheck.DOCUMENT_TYPE, INDCheck.DOCUMENT_TYPE, INDCheck.DOCUMENT_NORMALIZED_TYPE)`
CANCheckType → const CheckDocumentModelRootType
  `const CheckDocumentModelRootType(CANCheck.DOCUMENT_TYPE, CANCheck.DOCUMENT_TYPE, CANCheck.DOCUMENT_NORMALIZED_TYPE)`
UnknownCheckType → const CheckDocumentModelRootType
  `const CheckDocumentModelRootType(UnknownCheck.DOCUMENT_TYPE, UnknownCheck.DOCUMENT_TYPE, UnknownCheck.DOCUMENT_NORMALIZED_TYPE)`

## Properties

fullName → String
  final
hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String
  final
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
normalizedName → String
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<CheckDocumentModelRootType>
  A constant List of the values in this enum, in order of their declaration.